Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CHVControl

    java.lang.Object
      |
      +--opencard.core.terminal.CHVControl

public class CHVControl
extends java.lang.Object

Determine the characteristics of a card holder verification.

Constructor Summary
`CHVControl(java.lang.String prompt, int chvNumber, java.lang.String passwordEncoding, int passwordOffset, CardTerminalIOControl ioControl)` The constructor setting all fields.
`CHVControl(java.lang.String prompt, java.lang.String applicationID, java.lang.String passwordEncoding, int passwordOffset, CardTerminalIOControl ioControl)` The constructor setting all fields.

Method Summary
`java.lang.String` | `applicationID()` Get the application ID string. The application ID gives the user information on the application he is expected to give card holder verification for.
`int` | `chvNumber()` Get the chvNumber for which a CHV is required.
`CardTerminalIOControl` | `ioControl()` Get the I/O control parameters.
`java.lang.String` | `passwordEncoding()` Get the password encoding. The password encoding defines the method to obtain the byte array from the String read from the user.
`int` | `passwordOffset()` Offset of the password in the body of the command APDU
`java.lang.String` | `prompt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CHVControl

    public CHVControl(java.lang.String prompt,
                      java.lang.String applicationID,
                      java.lang.String passwordEncoding,
                      int passwordOffset,
                      CardTerminalIOControl ioControl)

  The constructor setting all fields.
  Parameters:
    `prompt` - a string to be displayed to ask the user to enter his password
    `applicationID` - an identification to tell the user which application needs CHV
    `passwordEncoding` - identification of the encoder to convert the password `String` to a byte array
    `passwordOffset` - offset of the password within the body of the verify APDU
    `ioControl` - parameters for keyboard input

### CHVControl

    public CHVControl(java.lang.String prompt,
                      int chvNumber,
                      java.lang.String passwordEncoding,
                      int passwordOffset,
                      CardTerminalIOControl ioControl)

  The constructor setting all fields.
  Parameters:
    `prompt` - a string to be displayed to ask the user to enter his password
    `chvNumber` - number of CHV to be requested from the user
    `passwordEncoding` - identification of the encoder to convert the password `String` to a byte array
    `passwordOffset` - offset of the password within the body of the verify APDU
    `ioControl` - parameters for keyboard input

Method Detail

### prompt

    public java.lang.String prompt()

  Returns:
    the prompt string

### applicationID

    public java.lang.String applicationID()

  Get the application ID string.

  The application ID gives the user information on the application he is expected to give card holder verification for.

  Returns:
    the applicateion id string.

### chvNumber

    public int chvNumber()

  Get the chvNumber for which a CHV is required.
  Returns:
    CHV number

### passwordEncoding

    public java.lang.String passwordEncoding()

  Get the password encoding.

  The password encoding defines the method to obtain the byte array from the String read from the user. The default is to use the default encoding of the machine.

  Returns:
    password encoding information

### passwordOffset

    public int passwordOffset()

  Offset of the password in the body of the command APDU
  Returns:
    the offset

### ioControl

    public CardTerminalIOControl ioControl()

  Get the I/O control parameters.
  Returns:
    a reference to a `CardTerminalIOControl` instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD